import { request } from 'umi';
import { api } from '../api'

/** 获取广告收益列表 */
export interface AdProfit {
    appId?: string,
    startTime?: string,
    endTime?: string,
    userId?: string,
    page: number,
    size: number,
    type?: number, // 1运营 2投手
    mpName?: string,  // 公众号名称
}
export async function getAdProfitAjax(params?: AdProfit) {
    return request(api + '/miniapp/wx/banner/mp/income', {
        method: 'GET',
        params: params
    });
}

/** 获取小程序列表 */
export async function getxcxAllAjax() {
    return request(api + '/miniapp/applet/get/all');
}